package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 清洁物品对象 app_clean_items
 * 
 * @author ruoyi
 * @date 2025-03-10
 */
public class AppCleanItems extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 清洁物品编号 */
    private Long cleanItemsId;

    /** 清洁物品名称 */
    @Excel(name = "清洁物品名称")
    private Long cleanItemsName;

    /** 删除标识 */
    private Integer delFlag;

    public void setCleanItemsId(Long cleanItemsId) 
    {
        this.cleanItemsId = cleanItemsId;
    }

    public Long getCleanItemsId() 
    {
        return cleanItemsId;
    }
    public void setCleanItemsName(Long cleanItemsName) 
    {
        this.cleanItemsName = cleanItemsName;
    }

    public Long getCleanItemsName() 
    {
        return cleanItemsName;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("cleanItemsId", getCleanItemsId())
            .append("cleanItemsName", getCleanItemsName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
